[Reproducible-commits] [misc] 01/01: ./rebuild.sh requires its first argument

Chris West faux-guest at moszumanska.debian.org
Sun Jul 26 09:53:57 UTC 2015


This is an automated email from the git hooks/post-receive script.

faux-guest pushed a commit to branch master
in repository misc.

commit 9e7078d5b892acf9ff4bbada0961f50fe3d063a8
Author: Chris West (Faux) <git at goeswhere.com>
Date:   Sun Jul 26 10:53:50 2015 +0100

    ./rebuild.sh requires its first argument
---
 prebuilder/rebuild.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/prebuilder/rebuild.sh b/prebuilder/rebuild.sh
index 0e336e7..33ad93d 100755
--- a/prebuilder/rebuild.sh
+++ b/prebuilder/rebuild.sh
@@ -22,6 +22,11 @@ else
 	BUILDER_OPTS="--basetgz $BASEPATH"
 fi
 
+if [ $# -eq 0 ]; then
+    echo "usage: $0 [-b basepath] [-c] package_name"
+    exit 1
+fi
+
 PACKAGE="$1"
 
 rm -r b1 b2

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git



More information about the Reproducible-commits mailing list